Spotify hat heute aufgehört, am neuesten Ubuntu zu arbeiten, 15.04 [geschlossen]

11

Ich habe heute das neueste Ubuntu installiert, 15.04. Spotify funktioniert nicht mehr. Wie kann es wieder funktionieren?

Die Unity-Leiste blinkt 4 oder 5 Mal grün und hört dann auf zu blinken. Es gibt keine Fehlermeldungen. Es wurde erfolgreich installiert und spielte gut am 14.10 bis zum Upgrade vor ein paar Stunden. Es erscheint nur nicht auf dem Bildschirm.

    
IndianArt 24.04.2015, 01:30
quelle

5 Antworten

23

Es gibt ein Tutorial, damit Sie es reparieren können (unter Neuinstallation). Führen Sie einfach diese beiden Befehle aus, es funktionierte für mich:

$ wget http://security.ubuntu.com/ubuntu/pool/main/libg/libgcrypt11/libgcrypt11_1.5.4-2ubuntu1.1_amd64.deb
$ sudo dpkg -i libgcrypt11_1.5.4-2ubuntu1.1_amd64.deb

Link zur Quelle / zum Tutorial: Link

    
Saturiel 25.04.2015, 16:58
quelle
8

Bevor Sie die nächsten Schritte ausführen, entfernen Sie alle Spotify-PPAs.

Installieren Sie den Spotify ppa:

sudo apt-add-repository -y "deb http://repository.spotify.com stable non-free" && sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 94558F59 && sudo apt-get update -qq && sudo apt-get install spotify-client

Installieren Sie dann Folgendes:

wget http://ftp.au.debian.org/debian/pool/main/libg/libgcrypt11/libgcrypt11_1.5.0-5+deb7u2_amd64.deb

sudo dpkg -i libgcrypt11_1.5.0-5+deb7u2_amd64.deb

Viel Spaß!

    
clvx 24.04.2015 03:22
quelle
3

Das hat für mich funktioniert:

wget http://security.debian.org/debian-security/pool/updates/main/libg/libgcrypt11/libgcrypt11_1.5.0-5+deb7u3_amd64.deb

sudo dpkg -i libgcrypt11_1.5.0-5+deb7u3_amd64.deb

Quelle: Verknüpfung

    
dwaynemac 27.04.2015 21:30
quelle
2

Die Installation von libgcrypt11 soll Sicherheitsprobleme mit sich bringen (siehe dieser Spotify Forum Beitrag , der zu diese NVD-Seite ). Wie im oben verlinkten Spotify-Forumbeitrag erwähnt, ist es wahrscheinlich besser, die Testversion des Spotify-Clients zu verwenden, die Sie unter diese Seite mit dem Repository -origin.spotify.com . Es ist auch nicht ideal, aber wahrscheinlich die beste Option.

    
bartovan 09.08.2015 09:33
quelle
1

Ihre Spotify-Version verwendet eine Bibliothek namens libgcrypt11 , die in Ubuntu 15.04 durch libgcrypt20 ersetzt wurde. Eine Version von Spotify, die libgcrypt11 nicht benötigt, ist im Testrepository verfügbar. Das ist der Spotify, der irgendwann (nachdem er getestet wurde und alle ernsthaften Fehler behoben wurden) den aus dem stabilen Repository ersetzt, den Sie jetzt haben.

Bearbeiten Sie Ihre Softwarequellen, um das Spotify-Repository von stable in testing zu ändern, und aktualisieren Sie dann Ihren Spotify-Client. Manche Dinge werden anders sein als vorher, zum Guten oder zum Schlechten, aber wenigstens fängt es an.

    
Snurolss 06.07.2015 20:07
quelle

Tags und Links